BSON_VECTOR_FLOAT32_VIEW_AS_CONST(3)

Convert a bson_vector_float32_view_t <> into a bson_vector_float32_const_view_t <>.

SYNOPSIS

            bson_vector_float32_const_view_t
            bson_vector_float32_view_as_const (bson_vector_float32_view_t view);

PARAMETERS

    •   view: A valid bson_vector_float32_view_t <>.

DESCRIPTION

This adds a const qualifier to the view without re-validating the underlying data.

RETURNS

Always returns a bson_vector_float32_const_view_t <>.

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.